gr::gsm::message_file_source Class Reference

<+description of block+> More...

`#include <message_file_source.h>`

Inheritance diagram for gr::gsm::message_file_source:

## Public Types

typedef std::shared_ptr< message_file_source > | sptr

## Static Public Member Functions

static sptr | make (const std::string &filename)
| Return a shared_ptr to a new instance of grgsm::message_file_source.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<message_file_source> gr::gsm::message_file_source::sptr

## Member Function Documentation

## make()

sptr gr::gsm::message_file_source::make | ( | const std::string & | filename | ) |

static

Return a shared_ptr to a new instance of grgsm::message_file_source.

To avoid accidental use of raw pointers, grgsm::message_file_source's constructor is in a private implementation class. grgsm::message_file_source::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- message_file_source.h